## tp-smapi 0.37

=== Makefile ===
ifndef TP_MODULES
# This part runs as a normal, top-level Makefile:
X:=$(shell false)
KVER        := $(shell uname -r)
KBASE       := /lib/modules/$(KVER)
KSRC        := $(KBASE)/source
KBUILD      := $(KBASE)/build
MOD_DIR     := $(KBASE)/kernel
PWD         := $(shell pwd)
IDIR        := include/linux
TP_DIR      := drivers/misc
TP_MODULES  := thinkpad_ec.o tp_smapi.o
SHELL       := /bin/bash

ifeq ($(HDAPS),1)
TP_MODULES  += hdaps.o
LOAD_HDAPS  := insmod ./hdaps.ko
else
LOAD_HDAPS  := :
endif

DEBUG := 0

ifneq ($(shell [ -f $(KSRC)/include/linux/aio_abi.h ] && echo 1),1)
$(error This driver requires kernel 2.6.19 or newer, and matching kernel sources. You may need to override KVER=$(KVER) or KSRC=$(KSRC) or KBUILD=$(KBUILD) or MOD_DIR=$(MOD_DIR))
endif

.PHONY: default clean modules load unload install patch check_hdaps mk-hdaps.diff
export TP_MODULES

#####################################################################
# Main targets

default: modules

# Build the modules thinkpad_ec.ko, tp_smapi.ko and (if HDAPS=1) hdaps.ko
modules: $(KSRC) $(patsubst %.o,%.c,$(TP_MODULES))
	$(MAKE) -C $(KSRC) M=$(PWD) O=$(KBUILD) modules

clean:
	rm -f tp_smapi.mod.* tp_smapi.o tp_smapi.ko .tp_smapi.*.cmd
	rm -f thinkpad_ec.mod.* thinkpad_ec.o thinkpad_ec.ko .thinkpad_ec.*.cmd
	rm -f hdaps.mod.* hdaps.o hdaps.ko .hdaps.*.cmd
	rm -f *~ diff/*~ *.orig diff/*.orig *.rej diff/*.rej
	rm -f tp_smapi-*-for-*.patch
	rm -fr .tmp_versions Modules.symvers diff/hdaps.diff.tmp

load: check_hdaps unload modules
	@( [ `id -u` == 0 ] || { echo "Must be root to load modules"; exit 1; } )
	{ insmod ./thinkpad_ec.ko &&\
	  insmod ./tp_smapi.ko debug=$(DEBUG) &&\
	  $(LOAD_HDAPS); }; :
	@echo -e '\nRecent dmesg output:' ; dmesg | tail -10

unload:
	@( [ `id -u` == 0 ] || { echo "Must be root to unload modules"; exit 1; } )
	if lsmod | grep -q '^hdaps '; then rmmod hdaps; fi
	if lsmod | grep -q '^tp_smapi '; then rmmod tp_smapi; fi
	if lsmod | grep -q '^thinkpad_ec '; then rmmod thinkpad_ec; fi
	if lsmod | grep -q '^tp_base '; then rmmod tp_base; fi  # old thinkpad_ec

check_hdaps:
ifneq ($(HDAPS),1)
	@if lsmod | grep -q '^hdaps '; then \
	echo 'The hdaps driver is loaded. Use "make HDAPS=1 ..." to'\
	'patch hdaps for compatibility with tp_smapi.'\
	'This requires a kernel source tree.'; exit 1; fi
endif

install: modules
	@( [ `id -u` == 0 ] || { echo "Must be root to install modules"; exit 1; } )
	rm -f $(MOD_DIR)/$(TP_DIR)/{thinkpad_ec,tp_smapi,tp_base}.ko
	rm -f $(MOD_DIR)/drivers/firmware/{thinkpad_ec,tp_smapi,tp_base}.ko
	rm -f $(MOD_DIR)/extra/{thinkpad_ec,tp_smapi,tp_base}.ko
ifeq ($(HDAPS),1)
	rm -f $(MOD_DIR)/drivers/hwmon/hdaps.ko
	rm -f $(MOD_DIR)/extra/hdaps.ko
endif
	$(MAKE) -C $(KSRC) M=$(PWD) O=$(KBUILD) modules_install
	depmod -a


#####################################################################
# Generate a stand-alone kernel patch

TP_VER := ${shell sed -ne 's/^\#define TP_VERSION \"\(.*\)\"/\1/gp' tp_smapi.c}
ORG    := a
NEW    := b
PATCH  := tp_smapi-$(TP_VER)-for-$(KVER).patch

BASE_IN_PATCH  := 1
SMAPI_IN_PATCH := 1
HDAPS_IN_PATCH := 1

patch:
	@TMPDIR=`mktemp -d /tmp/tp_smapi-patch.XXXXXX` &&\
	echo "Working directory: $$TMPDIR" &&\
	cd $$TMPDIR &&\
	mkdir -p $(ORG)/$(TP_DIR) &&\
	mkdir -p $(ORG)/$(IDIR) &&\
	mkdir -p $(ORG)/drivers/hwmon &&\
	cp $(KSRC)/$(TP_DIR)/{Kconfig,Makefile} $(ORG)/$(TP_DIR) &&\
	cp $(KSRC)/drivers/hwmon/{Kconfig,hdaps.c} $(ORG)/drivers/hwmon/ &&\
	cp -r $(ORG) $(NEW) &&\
	\
	if [ "$(BASE_IN_PATCH)" == 1 ]; then \
		cp $(PWD)/thinkpad_ec.c $(NEW)/$(TP_DIR)/thinkpad_ec.c &&\
		cp $(PWD)/thinkpad_ec.h $(NEW)/$(IDIR)/thinkpad_ec.h &&\
		perl -i -pe 'print `cat $(PWD)/diff/Kconfig-thinkpad_ec.add` if m/^(endmenu|endif # MISC_DEVICES)$$/' $(NEW)/$(TP_DIR)/Kconfig &&\
		sed -i -e '$$aobj-$$(CONFIG_THINKPAD_EC)       += thinkpad_ec.o' $(NEW)/$(TP_DIR)/Makefile \
	; fi &&\
	\
	if [ "$(HDAPS_IN_PATCH)" == 1 ]; then \
		cp $(PWD)/hdaps.c $(NEW)/drivers/hwmon/ &&\
		perl -i -0777 -pe 's/(config SENSORS_HDAPS\n\ttristate [^\n]+\n\tdepends [^\n]+\n)/$$1\tselect THINKPAD_EC\n/' $(NEW)/drivers/hwmon/Kconfig  \
	; fi &&\
	\
	if [ "$(SMAPI_IN_PATCH)" == 1 ]; then \
		sed -i -e '$$aobj-$$(CONFIG_TP_SMAPI)          += tp_smapi.o' $(NEW)/$(TP_DIR)/Makefile &&\
		perl -i -pe 'print `cat $(PWD)/diff/Kconfig-tp_smapi.add` if m/^(endmenu|endif # MISC_DEVICES)$$/' $(NEW)/$(TP_DIR)/Kconfig &&\
		cp $(PWD)/tp_smapi.c $(NEW)/$(TP_DIR)/tp_smapi.c &&\
		mkdir -p $(NEW)/Documentation &&\
		perl -0777 -pe 's/\n(Installation\n---+|Conflict with HDAPS\n---+|Files in this package\n---+|Setting and getting CD-ROM speed:\n).*?\n(?=[^\n]*\n-----)/\n/gs' $(PWD)/README > $(NEW)/Documentation/tp_smapi.txt \
	; fi &&\
	\
	{ diff -dNurp $(ORG) $(NEW) > patch \
	  || [ $$? -lt 2 ]; } &&\
	{ echo "Generated for $(KVER) in $(KSRC)"; echo; diffstat patch; echo; echo; cat patch; } \
	  > $(PWD)/${PATCH} &&\
	rm -r $$TMPDIR
	@echo
	@diffstat ${PATCH}
	@echo -e "\nPatch file created:\n  ${PATCH}"
	@echo -e "To apply, use:\n  patch -p1 -d ${KSRC} < ${PATCH}"

#####################################################################
# Tools for preparing a release. Ignore these.

set-version:
	perl -i -pe 's/^(tp_smapi version ).*/$${1}$(VER)/' README
	perl -i -pe 's/^(#define TP_VERSION ").*/$${1}$(VER)"/' thinkpad_ec.c tp_smapi.c

TGZ=../tp_smapi-$(VER).tgz
create-tgz:
	git-archive  --format=tar --prefix=tp_smapi-$(VER)/ HEAD | gzip -c > $(TGZ)
	tar tzvf $(TGZ)
	echo "Ready: $(TGZ)"

else
#####################################################################
# This part runs as a submake in kernel Makefile context:

EXTRA_CFLAGS := $(CFLAGS) -I$(M)/include
obj-m        := $(TP_MODULES)

endif

## tp-smapi 0.40

=== Makefile ===
--- 
+++ 
@@ -19,10 +19,23 @@
 LOAD_HDAPS  := :
 endif
 
+ifeq ($(FORCE_IO),1)
+THINKPAD_EC_PARAM := force_io=1
+else
+THINKPAD_EC_PARAM := 
+endif
+
 DEBUG := 0
 
-ifneq ($(shell [ -f $(KSRC)/include/linux/aio_abi.h ] && echo 1),1)
-$(error This driver requires kernel 2.6.19 or newer, and matching kernel sources. You may need to override KVER=$(KVER) or KSRC=$(KSRC) or KBUILD=$(KBUILD) or MOD_DIR=$(MOD_DIR))
+ifneq ($(shell [ -f $(KBUILD)/include/linux/aio_abi.h ] && echo 1),1)
+$(warning Building tp_smapi requires Linux kernel 2.6.19 or newer, and matching kernel headers.)
+$(warning You may need to override the following Make variables:)
+$(warning .   KVER=$(KVER))
+$(warning .   KBUILD=$(KBUILD))
+$(warning .   MOD_DIR=$(MOD_DIR))
+$(warning For "make patch", you may also need the full kernel sources, and may need to override:)
+$(warning .   KSRC=$(KSRC))
+$(error Missing kernel headers)
 endif
 
 .PHONY: default clean modules load unload install patch check_hdaps mk-hdaps.diff
@@ -34,8 +47,8 @@
 default: modules
 
 # Build the modules thinkpad_ec.ko, tp_smapi.ko and (if HDAPS=1) hdaps.ko
-modules: $(KSRC) $(patsubst %.o,%.c,$(TP_MODULES))
-	$(MAKE) -C $(KSRC) M=$(PWD) O=$(KBUILD) modules
+modules: $(KBUILD) $(patsubst %.o,%.c,$(TP_MODULES))
+	$(MAKE) -C $(KBUILD) M=$(PWD) O=$(KBUILD) modules
 
 clean:
 	rm -f tp_smapi.mod.* tp_smapi.o tp_smapi.ko .tp_smapi.*.cmd
@@ -47,9 +60,7 @@
 
 load: check_hdaps unload modules
 	@( [ `id -u` == 0 ] || { echo "Must be root to load modules"; exit 1; } )
-	{ insmod ./thinkpad_ec.ko &&\
-	  insmod ./tp_smapi.ko debug=$(DEBUG) &&\
-	  $(LOAD_HDAPS); }; :
+	{ insmod ./thinkpad_ec.ko $(THINKPAD_EC_PARAM) && insmod ./tp_smapi.ko debug=$(DEBUG) && $(LOAD_HDAPS); }; :
 	@echo -e '\nRecent dmesg output:' ; dmesg | tail -10
 
 unload:
@@ -76,7 +87,7 @@
 	rm -f $(MOD_DIR)/drivers/hwmon/hdaps.ko
 	rm -f $(MOD_DIR)/extra/hdaps.ko
 endif
-	$(MAKE) -C $(KSRC) M=$(PWD) O=$(KBUILD) modules_install
+	$(MAKE) -C $(KBUILD) M=$(PWD) O=$(KBUILD) modules_install
 	depmod -a
 
 
@@ -92,7 +103,7 @@
 SMAPI_IN_PATCH := 1
 HDAPS_IN_PATCH := 1
 
-patch:
+patch: $(KSRC)
 	@TMPDIR=`mktemp -d /tmp/tp_smapi-patch.XXXXXX` &&\
 	echo "Working directory: $$TMPDIR" &&\
 	cd $$TMPDIR &&\

## tp-smapi 0.41

=== Makefile ===
--- 
+++ 
@@ -26,17 +26,6 @@
 endif
 
 DEBUG := 0
-
-ifneq ($(shell [ -f $(KBUILD)/include/linux/aio_abi.h ] && echo 1),1)
-$(warning Building tp_smapi requires Linux kernel 2.6.19 or newer, and matching kernel headers.)
-$(warning You may need to override the following Make variables:)
-$(warning .   KVER=$(KVER))
-$(warning .   KBUILD=$(KBUILD))
-$(warning .   MOD_DIR=$(MOD_DIR))
-$(warning For "make patch", you may also need the full kernel sources, and may need to override:)
-$(warning .   KSRC=$(KSRC))
-$(error Missing kernel headers)
-endif
 
 .PHONY: default clean modules load unload install patch check_hdaps mk-hdaps.diff
 export TP_MODULES
@@ -153,7 +142,7 @@
 
 TGZ=../tp_smapi-$(VER).tgz
 create-tgz:
-	git-archive  --format=tar --prefix=tp_smapi-$(VER)/ HEAD | gzip -c > $(TGZ)
+	git archive  --format=tar --prefix=tp_smapi-$(VER)/ HEAD | gzip -c > $(TGZ)
 	tar tzvf $(TGZ)
 	echo "Ready: $(TGZ)"

## tp-smapi 0.42

=== Makefile ===
--- 
+++ 
@@ -1,14 +1,14 @@
 ifndef TP_MODULES
 # This part runs as a normal, top-level Makefile:
 X:=$(shell false)
-KVER        := $(shell uname -r)
-KBASE       := /lib/modules/$(KVER)
-KSRC        := $(KBASE)/source
-KBUILD      := $(KBASE)/build
-MOD_DIR     := $(KBASE)/kernel
+KVER        ?= $(shell uname -r)
+KBASE       ?= /lib/modules/$(KVER)
+KSRC        ?= $(KBASE)/source
+KBUILD      ?= $(KBASE)/build
+MOD_DIR     ?= $(KBASE)/kernel
 PWD         := $(shell pwd)
 IDIR        := include/linux
-TP_DIR      := drivers/misc
+TP_DIR      := drivers/platform/x86
 TP_MODULES  := thinkpad_ec.o tp_smapi.o
 SHELL       := /bin/bash
 
@@ -22,12 +22,18 @@
 ifeq ($(FORCE_IO),1)
 THINKPAD_EC_PARAM := force_io=1
 else
-THINKPAD_EC_PARAM := 
+THINKPAD_EC_PARAM :=
+endif
+
+ifneq ($(KERNELRELEASE),)
+	obj-m  := $(TP_MODULES)
+else
 endif
 
 DEBUG := 0
 
-.PHONY: default clean modules load unload install patch check_hdaps mk-hdaps.diff
+.PHONY: default clean modules load unload install patch check_hdaps mk-hdaps.diff \
+	check-ver set-version create-tgz create-rpm
 export TP_MODULES
 
 #####################################################################
@@ -73,17 +79,17 @@
 	rm -f $(MOD_DIR)/drivers/firmware/{thinkpad_ec,tp_smapi,tp_base}.ko
 	rm -f $(MOD_DIR)/extra/{thinkpad_ec,tp_smapi,tp_base}.ko
 ifeq ($(HDAPS),1)
-	rm -f $(MOD_DIR)/drivers/hwmon/hdaps.ko
+	rm -f $(MOD_DIR)/drivers/platform/x86/hdaps.ko
 	rm -f $(MOD_DIR)/extra/hdaps.ko
 endif
 	$(MAKE) -C $(KBUILD) M=$(PWD) O=$(KBUILD) modules_install
-	depmod -a
+	depmod $(KVER)
 
 
 #####################################################################
 # Generate a stand-alone kernel patch
 
-TP_VER := ${shell sed -ne 's/^\#define TP_VERSION \"\(.*\)\"/\1/gp' tp_smapi.c}
+TP_VER := 0.42
 ORG    := a
 NEW    := b
 PATCH  := tp_smapi-$(TP_VER)-for-$(KVER).patch
@@ -98,26 +104,26 @@
 	cd $$TMPDIR &&\
 	mkdir -p $(ORG)/$(TP_DIR) &&\
 	mkdir -p $(ORG)/$(IDIR) &&\
-	mkdir -p $(ORG)/drivers/hwmon &&\
+	mkdir -p $(ORG)/drivers/platform/x86 &&\
 	cp $(KSRC)/$(TP_DIR)/{Kconfig,Makefile} $(ORG)/$(TP_DIR) &&\
-	cp $(KSRC)/drivers/hwmon/{Kconfig,hdaps.c} $(ORG)/drivers/hwmon/ &&\
+	cp $(KSRC)/drivers/platform/x86/{Kconfig,hdaps.c} $(ORG)/drivers/platform/x86/ &&\
 	cp -r $(ORG) $(NEW) &&\
 	\
 	if [ "$(BASE_IN_PATCH)" == 1 ]; then \
 		cp $(PWD)/thinkpad_ec.c $(NEW)/$(TP_DIR)/thinkpad_ec.c &&\
-		cp $(PWD)/thinkpad_ec.h $(NEW)/$(IDIR)/thinkpad_ec.h &&\
-		perl -i -pe 'print `cat $(PWD)/diff/Kconfig-thinkpad_ec.add` if m/^(endmenu|endif # MISC_DEVICES)$$/' $(NEW)/$(TP_DIR)/Kconfig &&\
+		cp $(PWD)/thinkpad_ec.h $(NEW)/$(TP_DIR)/thinkpad_ec.h &&\
+		perl -i -pe 'print `cat $(PWD)/diff/Kconfig-thinkpad_ec.add` if m/^(endmenu|endif # X86_PLATFORM_DEVICES)$$/' $(NEW)/$(TP_DIR)/Kconfig &&\
 		sed -i -e '$$aobj-$$(CONFIG_THINKPAD_EC)       += thinkpad_ec.o' $(NEW)/$(TP_DIR)/Makefile \
 	; fi &&\
 	\
 	if [ "$(HDAPS_IN_PATCH)" == 1 ]; then \
-		cp $(PWD)/hdaps.c $(NEW)/drivers/hwmon/ &&\
-		perl -i -0777 -pe 's/(config SENSORS_HDAPS\n\ttristate [^\n]+\n\tdepends [^\n]+\n)/$$1\tselect THINKPAD_EC\n/' $(NEW)/drivers/hwmon/Kconfig  \
+		cp $(PWD)/hdaps.c $(NEW)/drivers/platform/x86/ &&\
+		perl -i -0777 -pe 's/(config SENSORS_HDAPS\n\ttristate [^\n]+\n\tdepends [^\n]+\n)/$$1\tselect THINKPAD_EC\n/' $(NEW)/drivers/platform/x86/Kconfig  \
 	; fi &&\
 	\
 	if [ "$(SMAPI_IN_PATCH)" == 1 ]; then \
 		sed -i -e '$$aobj-$$(CONFIG_TP_SMAPI)          += tp_smapi.o' $(NEW)/$(TP_DIR)/Makefile &&\
-		perl -i -pe 'print `cat $(PWD)/diff/Kconfig-tp_smapi.add` if m/^(endmenu|endif # MISC_DEVICES)$$/' $(NEW)/$(TP_DIR)/Kconfig &&\
+		perl -i -pe 'print `cat $(PWD)/diff/Kconfig-tp_smapi.add` if m/^(endmenu|endif # X86_PLATFORM_DEVICES)$$/' $(NEW)/$(TP_DIR)/Kconfig &&\
 		cp $(PWD)/tp_smapi.c $(NEW)/$(TP_DIR)/tp_smapi.c &&\
 		mkdir -p $(NEW)/Documentation &&\
 		perl -0777 -pe 's/\n(Installation\n---+|Conflict with HDAPS\n---+|Files in this package\n---+|Setting and getting CD-ROM speed:\n).*?\n(?=[^\n]*\n-----)/\n/gs' $(PWD)/README > $(NEW)/Documentation/tp_smapi.txt \
@@ -136,15 +142,31 @@
 #####################################################################
 # Tools for preparing a release. Ignore these.
 
-set-version:
+TGZ=../tp_smapi-$(VER).tgz
+
+check-ver:
+	@if [ -z "$(VER)" ]; then \
+		echo "VER is unset"; \
+		echo "run: $(MAKE) $(MAKECMDGOALS) VER=<release version>"; \
+		exit 1 ;\
+	 fi
+
+set-version: check-ver
 	perl -i -pe 's/^(tp_smapi version ).*/$${1}$(VER)/' README
 	perl -i -pe 's/^(#define TP_VERSION ").*/$${1}$(VER)"/' thinkpad_ec.c tp_smapi.c
+	perl -i -pe 's/^(TP_VER := ).*/$${1}$(VER)/' Makefile
+	perl -i -pe 's/^(PACKAGE_VERSION=").*/$${1}$(VER)"/' dkms.conf
+	perl -i -pe 's/^(%define version ).*/$${1}$(VER)/' tp_smapi.spec
 
-TGZ=../tp_smapi-$(VER).tgz
-create-tgz:
+create-tgz: check-ver
 	git archive  --format=tar --prefix=tp_smapi-$(VER)/ HEAD | gzip -c > $(TGZ)
 	tar tzvf $(TGZ)
 	echo "Ready: $(TGZ)"
+
+create-rpm: create-tgz
+	mkdir -p rpmbuild
+	rpmbuild -tb --define "_topdir $$PWD/rpmbuild" $(TGZ)
+
 
 else
 #####################################################################

=== debian/changelog ===
tp-smapi (0.42-1ubuntu1) zesty; urgency=medium

  * Drop hdaps modules build as it is now upstream as of linux v4.9
    debian/patches/drop-hdaps.patch 

 -- Tim Gardner <tim.gardner@canonical.com>  Wed, 11 Jan 2017 15:58:57 -0700

tp-smapi (0.42-1) unstable; urgency=medium

  * Imported Upstream version 0.42
    + builds fine against newer kernels (Closes: #820724)
    + detects X200s as such (Closes: #735631)
  * make the build reproducible (Closes: #778217)
  * use upstream's dkms.conf
  * stop patching upstreams Makefile, it should just work now
  * use dh_dkms (Closes: #600803)
  * update d/watch
  * update Homepage
  * do not build tp-smapi-source anymore
  * dh rules!
  * Standards-Version: 3.9.8
  * add readme and sysfs.conf to dkms package
  * update Vcs-*
  * format 3.0 (quilt)

 -- Evgeni Golov <evgeni@debian.org>  Mon, 25 Apr 2016 17:59:39 +0200

tp-smapi (0.41-1) unstable; urgency=low

  * New "upstream" release.
    + Droping all patches but the debian specific one.
    + Supports Sandy Bridge ThinkPads. Closes: #628829, #635650
  * README.source should point to quilt doc (since 0.40-3!)
  * Install README.Debian in the dkms package too, thanks rhalina!
  * Standards-Version: 3.9.2
  * Install the sysfs.conf example in -dkms and -source too.

 -- Evgeni Golov <evgeni@debian.org>  Fri, 29 Jul 2011 12:33:50 +0200

tp-smapi (0.40-10) UNRELEASED; urgency=low

  * Update 02_hdaps-orientation-update.patch for X201 and X201t.

 -- Evgeni Golov <evgeni@debian.org>  Fri, 04 Feb 2011 10:12:13 +0100

tp-smapi (0.40-9) unstable; urgency=low

  * debian/patches/03_2.6.37-compatibility.patch:
    + Use DEFINE_SEMAPHORE instead of DECLARE_MUTEX in 2.6.37 and above.
      Closes: #602367
      Thanks: Tanaka Watanabe <hellhound.kerberos@gmail.com>

 -- Evgeni Golov <evgeni@debian.org>  Sun, 12 Dec 2010 13:44:06 +0100

tp-smapi (0.40-8) unstable; urgency=low

  * debian/patches/02_X200-T500-support.patch:
    + Rename to 02_hdaps-orientation-update.patch
    + Update patch for X201s, T410 and T400s.
  * debian/control:
    + Standards-Version: 3.9.1.
  * debian/source/format:
    + 1.0 for now.

 -- Evgeni Golov <evgeni@debian.org>  Sun, 01 Aug 2010 18:13:06 +0200

tp-smapi (0.40-7) unstable; urgency=low

  * debian/rules:
    + Install README and CHANGES into /u/s/d/tp-smapi-dkms/
      Closes: #562917
    + We do not need CFLAGS here, remove them.
  * debian/control:
    + Add ${misc:Depends} to Depends of tp-smapi-source, thanks lintian.
  * debian/tp-smapi-dkms.postinst:
    + Rework building of the module, so it won't fail in the case the
      correct kernel headers are not available.
      Closes: #562871

 -- Evgeni Golov <evgeni@debian.org>  Wed, 20 Jan 2010 09:23:26 +0100

tp-smapi (0.40-6) unstable; urgency=low

  * Add DKMS support.
  * debian/control{,modules.in}:
    + Standards-Version: 3.8.3.
  * debian/patches/02_X200-T500-support.patch:
    + Add invert=1 for T400 too.
      Closes: #541641.
  * debian/copyright:
    + Update my e-mail address.

 -- Evgeni Golov <evgeni@debian.org>  Fri, 25 Dec 2009 18:15:36 +0100

tp-smapi (0.40-5) unstable; urgency=low

  * Fix typo in X200/T500 patch.
    Thanks Kiko Piris <menorqui@pirispons.net>
    Closes: #533289

 -- Evgeni Golov <evgeni@debian.org>  Tue, 16 Jun 2009 11:59:02 +0200

tp-smapi (0.40-4) unstable; urgency=low

  * debian/control{,modules.in}:
    + Update my e-mail address.
    + Move Vcs-* fields to my new home on Alioth.
    + Remove DM-Upload-allowed.
  * debian/patches/02_X200-T500-support.patch:
    + Add invert quirks for X200 and T500 reported on Launchpad.
      Closes LP: #374492 and LP: #370289.

 -- Evgeni Golov <evgeni@debian.org>  Tue, 16 Jun 2009 01:26:50 +0200

tp-smapi (0.40-3) unstable; urgency=low

  * debian/control:
    + Fix typo in Vcs-Browser field.
    + Bump Standards-Version to 3.8.1.
    + Move to kernel section.
  * debian/control.modules.in:
    + Bump Standards-Version to 3.8.1.
    + Move to kernel section.
  * debian/{control,rules,patches/}:
    + Use quilt instead of dpatch.
  * debian/patches/99_Makefile-for-Debian.patch:
    + Don't try to be smart and detect ancient kernels, that breaks.
      Closes: #521296
  * debian/rules.modules:
    + Install hdaps.ko in $(KVERS)/updates/, not $(KVERS)/kernel/updates/.
      Closes: #522113
  * debian/rules:
    + Add README.Debian to tp-smapi.tar.bz2, so it will show up in the
      built -modules package.
      Closes: #498207
  * debian/control{,.modules.in}:
    + Update descriptions.
  * debian/copyright:
    + Update to machine-readable format, update dates etc.
  * debian/control.moldules.in:
    + Add Vcs-* headers too.

 -- Evgeni Golov <sargentd@die-welt.net>  Sun, 05 Apr 2009 01:07:56 +0200

tp-smapi (0.40-2) unstable; urgency=low

  * Upload to unstable.
  * debian/control:
    + Set DM-Upload-Allowed: yes.
    + Add Vcs-* headers.

 -- Evgeni Golov <sargentd@die-welt.net>  Sun, 08 Mar 2009 12:06:01 +0100

tp-smapi (0.40-1) experimental; urgency=low

  * New upstream release.
  * Refresh debian/patches/99_Makefile-for-Debian.dpatch.

 -- Evgeni Golov <sargentd@die-welt.net>  Tue, 16 Dec 2008 09:48:28 +0100

tp-smapi (0.39-1) experimental; urgency=low

  * New upstream release.
  * Drop 02_fix_semaphore_h_include.dpatch, included upstream.
  * Refresh 01_include-thinkpad_ec.h-directly.dpatch.
  * Bump Standards-Version to 3.8.0.
  * Add README.source.
  * Move bzip2 from Build-Depends to Build-Depends-Indep.

 -- Evgeni Golov <sargentd@die-welt.net>  Tue, 30 Sep 2008 19:38:49 +0200

tp-smapi (0.37-3) unstable; urgency=low

  * New patch 02_fix_semaphore_h_include.dpatch
    + Fixes the include of semaphore.h in newer kernels (Closes: #497990).

 -- Evgeni Golov <sargentd@die-welt.net>  Mon, 08 Sep 2008 15:19:45 +0200

tp-smapi (0.37-2) unstable; urgency=low

  * Update 99_Makefile-for-Debian.dpatch to not set CFLAGS (Closes: #476360)

 -- Evgeni Golov <sargentd@die-welt.net>  Wed, 16 Apr 2008 12:55:41 +0200



=== debian/control ===
Source: tp-smapi
Section: kernel
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Evgeni Golov <evgeni@debian.org>
Build-Depends: debhelper (>= 9)
Build-Depends-Indep: bzip2, dkms
Standards-Version: 3.9.8
Homepage: https://github.com/evgeni/tp_smapi/
Vcs-Git: https://anonscm.debian.org/git/users/evgeni/tp-smapi.git
Vcs-Browser: https://anonscm.debian.org/git/users/evgeni/tp-smapi.git

Package: tp-smapi-dkms
Architecture: all
Depends: ${misc:Depends}
Description: ThinkPad hardware/firmware access modules source - dkms version
 The tp_smapi kernel module exposes some features of the ThinkPad
 hardware/firmware via a sysfs interface. Currently, the main implemented
 functionality is control of battery charging and extended battery status.
 The underlying hardware interfaces are SMAPI and direct access to the
 embedded controller.
 .
 This package also brings the source for an improved version of HDAPS
 which should work on newer ThinkPads too (the stock kernel version does
 not).
 .
 This package contains the source to be built with dkms.

## tp-smapi 0.43

=== Makefile ===
--- 
+++ 
@@ -89,7 +89,7 @@
 #####################################################################
 # Generate a stand-alone kernel patch
 
-TP_VER := 0.42
+TP_VER := 0.43
 ORG    := a
 NEW    := b
 PATCH  := tp_smapi-$(TP_VER)-for-$(KVER).patch

=== debian/changelog ===
tp-smapi (0.43-1ubuntu1) impish; urgency=medium

  * Restrict this module to amd64 (LP: #1945784)

 -- Andrea Righi <andrea.righi@canonical.com>  Fri, 01 Oct 2021 14:47:02 +0200

tp-smapi (0.43-1) unstable; urgency=medium

  * New upstream version 0.43
    + Support 4.15 kernel
      Closes: #884973
  * move to salsa.d.o
  * Standards-Version: 4.1.3.0

 -- Evgeni Golov <evgeni@debian.org>  Sat, 24 Feb 2018 17:35:54 +0100

=== debian/control ===
--- 
+++ 
@@ -5,13 +5,13 @@
 XSBC-Original-Maintainer: Evgeni Golov <evgeni@debian.org>
 Build-Depends: debhelper (>= 9)
 Build-Depends-Indep: bzip2, dkms
-Standards-Version: 3.9.8
+Standards-Version: 4.1.3.0
 Homepage: https://github.com/evgeni/tp_smapi/
-Vcs-Git: https://anonscm.debian.org/git/users/evgeni/tp-smapi.git
-Vcs-Browser: https://anonscm.debian.org/git/users/evgeni/tp-smapi.git
+Vcs-Git: https://salsa.debian.org/debian/tp-smapi.git
+Vcs-Browser: https://salsa.debian.org/debian/tp-smapi
 
 Package: tp-smapi-dkms
-Architecture: all
+Architecture: amd64
 Depends: ${misc:Depends}
 Description: ThinkPad hardware/firmware access modules source - dkms version
  The tp_smapi kernel module exposes some features of the ThinkPad

=== debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
#export DH_VERBOSE = 1

include /usr/share/dpkg/pkg-info.mk

BUILD_DATE := $(shell dpkg-parsechangelog --show-field Date)

%:
	dh $@ --with dkms

override_dh_auto_build:
	# pass, we just don't build now

override_dh_auto_install:
	mkdir -p $(CURDIR)/debian/tp-smapi-dkms/usr/src/tp_smapi-$(DEB_VERSION_UPSTREAM)
	cp -a Makefile *.c *.h debian/tp-smapi-dkms/usr/src/tp_smapi-$(DEB_VERSION_UPSTREAM)

=== debian/watch ===
version=4
https://github.com/evgeni/tp_smapi/releases \
    .*/tp_smapi-(\d[\d.]*)\.tgz debian uupdate

## tp-smapi 0.44

=== Makefile ===
--- 
+++ 
@@ -89,7 +89,7 @@
 #####################################################################
 # Generate a stand-alone kernel patch
 
-TP_VER := 0.43
+TP_VER := 0.44
 ORG    := a
 NEW    := b
 PATCH  := tp_smapi-$(TP_VER)-for-$(KVER).patch

=== debian/changelog ===
tp-smapi (0.44-1ubuntu1) mantic; urgency=medium

  *  Restrict module to amd64

 -- Paolo Pisati <paolo.pisati@canonical.com>  Fri, 22 Sep 2023 06:55:18 +0000

tp-smapi (0.44-1) unstable; urgency=medium

  * New upstream version 0.44
    + Support 6.4 kernel
      Closes: #1038207

 -- Evgeni Golov <evgeni@debian.org>  Mon, 31 Jul 2023 20:09:41 +0200

tp-smapi (0.43-3) unstable; urgency=medium

  * Limit autopkgtest to amd64 and i386 as tp_smapi doesn't work on other
    arches.

 -- Evgeni Golov <evgeni@debian.org>  Thu, 26 Jan 2023 21:42:38 +0100

tp-smapi (0.43-2) unstable; urgency=medium

  [ Evgeni Golov ]
  * Standards-Version: 4.6.2
  * fix d/watch to find a release
  * update source to point at https://github.com/linux-thinkpad/tp_smapi

  [ Andreas Beckmann ]
  * Switch to dh-sequence-dkms.  (Closes: #1027884)
  * Declare Testsuite: autopkgtest-pkg-dkms.
  * Declare Rules-Requires-Root: no.
  * Update to copyright-format 1.0.

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Bump debhelper from deprecated 9 to 13.
  * Set debhelper-compat version in Build-Depends.
  * Replace spaces in short license names with dashes.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository-Browse.

 -- Evgeni Golov <evgeni@debian.org>  Tue, 24 Jan 2023 20:44:49 +0100

=== debian/control ===
--- 
+++ 
@@ -3,12 +3,17 @@
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Evgeni Golov <evgeni@debian.org>
-Build-Depends: debhelper (>= 9)
-Build-Depends-Indep: bzip2, dkms
-Standards-Version: 4.1.3.0
-Homepage: https://github.com/evgeni/tp_smapi/
+Build-Depends:
+ debhelper-compat (= 13),
+Build-Depends-Indep:
+ bzip2,
+ dh-sequence-dkms,
+Rules-Requires-Root: no
+Standards-Version: 4.6.2
+Homepage: https://github.com/linux-thinkpad/tp_smapi
 Vcs-Git: https://salsa.debian.org/debian/tp-smapi.git
 Vcs-Browser: https://salsa.debian.org/debian/tp-smapi
+Testsuite: autopkgtest-pkg-dkms
 
 Package: tp-smapi-dkms
 Architecture: amd64
@@ -25,4 +30,3 @@
  not).
  .
  This package contains the source to be built with dkms.
-

=== debian/watch ===
version=4
opts="filenamemangle=s%.+/([\d.]+)\.tar\.gz%tp_smapi-$1.tar.gz%" \
https://github.com/linux-thinkpad/tp_smapi/tags \
    .*/tp-smapi/(\d[\d.]*)\.tar.gz debian uupdate

## tp-smapi 0.45

=== Makefile ===
--- 
+++ 
@@ -32,7 +32,7 @@
 
 DEBUG := 0
 
-.PHONY: default clean modules load unload install patch check_hdaps mk-hdaps.diff \
+.PHONY: default clean modules load unload install check_hdaps \
 	check-ver set-version create-tgz create-rpm
 export TP_MODULES
 
@@ -49,9 +49,8 @@
 	rm -f tp_smapi.mod.* tp_smapi.o tp_smapi.ko .tp_smapi.*.cmd
 	rm -f thinkpad_ec.mod.* thinkpad_ec.o thinkpad_ec.ko .thinkpad_ec.*.cmd
 	rm -f hdaps.mod.* hdaps.o hdaps.ko .hdaps.*.cmd
-	rm -f *~ diff/*~ *.orig diff/*.orig *.rej diff/*.rej
-	rm -f tp_smapi-*-for-*.patch
-	rm -fr .tmp_versions Modules.symvers diff/hdaps.diff.tmp
+	rm -f *~ *.orig *.rej
+	rm -fr .tmp_versions Modules.symvers
 
 load: check_hdaps unload modules
 	@( [ `id -u` == 0 ] || { echo "Must be root to load modules"; exit 1; } )
@@ -87,59 +86,6 @@
 
 
 #####################################################################
-# Generate a stand-alone kernel patch
-
-TP_VER := 0.44
-ORG    := a
-NEW    := b
-PATCH  := tp_smapi-$(TP_VER)-for-$(KVER).patch
-
-BASE_IN_PATCH  := 1
-SMAPI_IN_PATCH := 1
-HDAPS_IN_PATCH := 1
-
-patch: $(KSRC)
-	@TMPDIR=`mktemp -d /tmp/tp_smapi-patch.XXXXXX` &&\
-	echo "Working directory: $$TMPDIR" &&\
-	cd $$TMPDIR &&\
-	mkdir -p $(ORG)/$(TP_DIR) &&\
-	mkdir -p $(ORG)/$(IDIR) &&\
-	mkdir -p $(ORG)/drivers/platform/x86 &&\
-	cp $(KSRC)/$(TP_DIR)/{Kconfig,Makefile} $(ORG)/$(TP_DIR) &&\
-	cp $(KSRC)/drivers/platform/x86/{Kconfig,hdaps.c} $(ORG)/drivers/platform/x86/ &&\
-	cp -r $(ORG) $(NEW) &&\
-	\
-	if [ "$(BASE_IN_PATCH)" == 1 ]; then \
-		cp $(PWD)/thinkpad_ec.c $(NEW)/$(TP_DIR)/thinkpad_ec.c &&\
-		cp $(PWD)/thinkpad_ec.h $(NEW)/$(TP_DIR)/thinkpad_ec.h &&\
-		perl -i -pe 'print `cat $(PWD)/diff/Kconfig-thinkpad_ec.add` if m/^(endmenu|endif # X86_PLATFORM_DEVICES)$$/' $(NEW)/$(TP_DIR)/Kconfig &&\
-		sed -i -e '$$aobj-$$(CONFIG_THINKPAD_EC)       += thinkpad_ec.o' $(NEW)/$(TP_DIR)/Makefile \
-	; fi &&\
-	\
-	if [ "$(HDAPS_IN_PATCH)" == 1 ]; then \
-		cp $(PWD)/hdaps.c $(NEW)/drivers/platform/x86/ &&\
-		perl -i -0777 -pe 's/(config SENSORS_HDAPS\n\ttristate [^\n]+\n\tdepends [^\n]+\n)/$$1\tselect THINKPAD_EC\n/' $(NEW)/drivers/platform/x86/Kconfig  \
-	; fi &&\
-	\
-	if [ "$(SMAPI_IN_PATCH)" == 1 ]; then \
-		sed -i -e '$$aobj-$$(CONFIG_TP_SMAPI)          += tp_smapi.o' $(NEW)/$(TP_DIR)/Makefile &&\
-		perl -i -pe 'print `cat $(PWD)/diff/Kconfig-tp_smapi.add` if m/^(endmenu|endif # X86_PLATFORM_DEVICES)$$/' $(NEW)/$(TP_DIR)/Kconfig &&\
-		cp $(PWD)/tp_smapi.c $(NEW)/$(TP_DIR)/tp_smapi.c &&\
-		mkdir -p $(NEW)/Documentation &&\
-		perl -0777 -pe 's/\n(Installation\n---+|Conflict with HDAPS\n---+|Files in this package\n---+|Setting and getting CD-ROM speed:\n).*?\n(?=[^\n]*\n-----)/\n/gs' $(PWD)/README > $(NEW)/Documentation/tp_smapi.txt \
-	; fi &&\
-	\
-	{ diff -dNurp $(ORG) $(NEW) > patch \
-	  || [ $$? -lt 2 ]; } &&\
-	{ echo "Generated for $(KVER) in $(KSRC)"; echo; diffstat patch; echo; echo; cat patch; } \
-	  > $(PWD)/${PATCH} &&\
-	rm -r $$TMPDIR
-	@echo
-	@diffstat ${PATCH}
-	@echo -e "\nPatch file created:\n  ${PATCH}"
-	@echo -e "To apply, use:\n  patch -p1 -d ${KSRC} < ${PATCH}"
-
-#####################################################################
 # Tools for preparing a release. Ignore these.
 
 TGZ=../tp_smapi-$(VER).tgz
@@ -156,7 +102,7 @@
 	perl -i -pe 's/^(#define TP_VERSION ").*/$${1}$(VER)"/' thinkpad_ec.c tp_smapi.c
 	perl -i -pe 's/^(TP_VER := ).*/$${1}$(VER)/' Makefile
 	perl -i -pe 's/^(PACKAGE_VERSION=").*/$${1}$(VER)"/' dkms.conf
-	perl -i -pe 's/^(%define version ).*/$${1}$(VER)/' tp_smapi.spec
+	perl -i -pe 's/^(Version:\s+).*/$${1}$(VER)/' tp_smapi.spec
 
 create-tgz: check-ver
 	git archive  --format=tar --prefix=tp_smapi-$(VER)/ HEAD | gzip -c > $(TGZ)

=== debian/changelog ===
tp-smapi (0.45-1ubuntu1) resolute; urgency=medium

  * Merge with Debian unstable (LP: #2139434). Remaining changes:
    - d/control: restrict module to amd64

 -- Renan Rodrigo <rr@ubuntu.com>  Tue, 03 Feb 2026 09:53:57 -0300

tp-smapi (0.45-1) unstable; urgency=medium

  * New upstream version 0.45
    + Support for 6.15 kernel
      Closes: #1106555
  * Revert "Use correct DEST_MODULE_LOCATION for hdaps to fix piuparts
    detected error.", the real issue is in dkms itself.
  * Standards-Version: 4.7.2

 -- Evgeni Golov <evgeni@debian.org>  Fri, 15 Aug 2025 20:57:20 +0200

tp-smapi (0.44-1.2ubuntu2) resolute; urgency=medium

  * No-change mass rebuild for Ubuntu 26.04 (LP: #2132257)

 -- Sebastien Bacher <seb128@debian.org>  Thu, 29 Jan 2026 22:01:32 +0100

tp-smapi (0.44-1.2ubuntu1) plucky; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Restrict module to amd64

 -- Agathe Porte <agathe.porte@canonical.com>  Thu, 23 Jan 2025 10:47:37 +0100

tp-smapi (0.44-1.2) unstable; urgency=medium

  * Non-maintainer upload.

  * Use correct DEST_MODULE_LOCATION for hdaps to fix piuparts detected error.
  * Changed dkms binary package architecture from all to 'amd64 i386'.

 -- Petter Reinholdtsen <pere@debian.org>  Mon, 20 Jan 2025 16:55:20 +0100

tp-smapi (0.44-1.1) unstable; urgency=medium

  * Non-maintainer upload.

  * Added AppStream metainfo XML with hardware provide info (Closes: #838736).
  * Updated Standards-Version from 4.6.2 to 4.7.0.

 -- Petter Reinholdtsen <pere@debian.org>  Fri, 10 Jan 2025 18:45:03 +0100

=== debian/control ===
--- 
+++ 
@@ -5,11 +5,10 @@
 XSBC-Original-Maintainer: Evgeni Golov <evgeni@debian.org>
 Build-Depends:
  debhelper-compat (= 13),
-Build-Depends-Indep:
  bzip2,
  dh-sequence-dkms,
 Rules-Requires-Root: no
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Homepage: https://github.com/linux-thinkpad/tp_smapi
 Vcs-Git: https://salsa.debian.org/debian/tp-smapi.git
 Vcs-Browser: https://salsa.debian.org/debian/tp-smapi
